Package net.shibboleth.idp.authn.context.navigate

# Class SubjectCanonicalizationContextSubjectLookupFunction

java.lang.Object
net.shibboleth.idp.authn.context.navigate.SubjectCanonicalizationContextSubjectLookupFunction

All Implemented Interfaces:
  `Function<SubjectCanonicalizationContext,Subject>`, `ContextDataLookupFunction<SubjectCanonicalizationContext,Subject>`

public class SubjectCanonicalizationContextSubjectLookupFunction extends Object implements ContextDataLookupFunction<SubjectCanonicalizationContext,Subject>
A function that returns the `Subject` from a `SubjectCanonicalizationContext`.

## Constructor Summary

Constructors
Constructor
Description
`SubjectCanonicalizationContextSubjectLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Subject`
`apply(SubjectCanonicalizationContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SubjectCanonicalizationContextSubjectLookupFunction

public SubjectCanonicalizationContextSubjectLookupFunction()

## Method Details

### apply

@Nullable public Subject apply(@Nullable SubjectCanonicalizationContext input)

Specified by:
  `apply` in interface `Function<SubjectCanonicalizationContext,Subject>`